Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.models.commands
Class ConnectionCommand

    java.lang.Object
      |
      +--org.eclipse.gef.commands.Command
            |
            +--APStudio.models.commands.ConnectionCommand

public class ConnectionCommand
extends org.eclipse.gef.commands.Command

Constructor Summary
`ConnectionCommand()`

Method Summary
`boolean` | `canExecute()`
`void` | `execute()`
`Connector` | `getConnector()`
`java.lang.String` | `getLabel()`
`BasicSubpart` | `getSource()`
`java.lang.String` | `getSourceTerminal()`
`BasicSubpart` | `getTarget()`
`java.lang.String` | `getTargetTerminal()`
`void` | `redo()`
`void` | `setConnector(Connector c)`
`void` | `setSource(BasicSubpart newSource)`
`void` | `setSourceTerminal(java.lang.String newSourceTerminal)`
`void` | `setTarget(BasicSubpart newTarget)`
`void` | `setTargetTerminal(java.lang.String newTargetTerminal)`
`void` | `undo()`

Methods inherited from class org.eclipse.gef.commands.Command
`canUndo, chain, dispose, getDebugLabel, setDebugLabel, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionCommand

    public ConnectionCommand()

Method Detail

### canExecute

    public boolean canExecute()

  Overrides:
    `canExecute` in class `org.eclipse.gef.commands.Command`

### execute

    public void execute()

  Overrides:
    `execute` in class `org.eclipse.gef.commands.Command`

### getLabel

    public java.lang.String getLabel()

  Overrides:
    `getLabel` in class `org.eclipse.gef.commands.Command`

### getSource

    public BasicSubpart getSource()

### getSourceTerminal

    public java.lang.String getSourceTerminal()

### getTarget

    public BasicSubpart getTarget()

### getTargetTerminal

    public java.lang.String getTargetTerminal()

### getConnector

    public Connector getConnector()

### redo

    public void redo()

  Overrides:
    `redo` in class `org.eclipse.gef.commands.Command`

### setSource

    public void setSource(BasicSubpart newSource)

### setSourceTerminal

    public void setSourceTerminal(java.lang.String newSourceTerminal)

### setTarget

    public void setTarget(BasicSubpart newTarget)

### setTargetTerminal

    public void setTargetTerminal(java.lang.String newTargetTerminal)

### setConnector

    public void setConnector(Connector c)

### undo

    public void undo()

  Overrides:
    `undo` in class `org.eclipse.gef.commands.Command`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD